com.aliyun.svideosdk.editor

## Enum ShapeType

- java.lang.Object
- - java.lang.Enum<ShapeType>
  - - com.aliyun.svideosdk.editor.ShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShapeType>

      public enum ShapeType
      extends java.lang.Enum<ShapeType>

  v3.20新增 淡入淡出函数曲线类型

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHAPE_TYPE_LINEAR` 线性曲线
    `SHAPE_TYPE_SIN` 正弦函数曲线

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHAPE_TYPE_LINEAR

          public static final ShapeType SHAPE_TYPE_LINEAR

      线性曲线

    - #### SHAPE_TYPE_SIN

          public static final ShapeType SHAPE_TYPE_SIN

      正弦函数曲线

  - ### Method Detail

    - #### values

          public static ShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapeType c : ShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null